Qt 5.6 | Qt Platform Headers | C++ Classes | QCocoaWindowFunctions

Qt 5.6.2 Reference Documentation

# QCocoaWindowFunctions Class

The QCocoaWindowFunctions class is an inline class containing miscellaneous functionality for NSWindow and NSView window specific functionality. More...

Header: | #include <QCocoaWindowFunctions>

- List of all members, including inherited members

## Public Types

typedef | BottomLeftClippedByNSWindowOffset

## Static Public Members

QPoint | bottomLeftClippedByNSWindowOffset(QWindow *window)
const QByteArray | bottomLeftClippedByNSWindowOffsetIdentifier()

## Detailed Description

The QCocoaWindowFunctions class is an inline class containing miscellaneous functionality for NSWindow and NSView window specific functionality.

Note: There is no binary compatibility guarantee for this class, meaning that an application using it is only guaranteed to work with the Qt version it was developed against.

## Member Type Documentation

### typedef QCocoaWindowFunctions::BottomLeftClippedByNSWindowOffset

This is the typedef for the function returned by QGuiApplication::platformFunction when passed clippedByNSWindowIdentifier.

## Member Function Documentation

### `[static]` QPoint QCocoaWindowFunctions::bottomLeftClippedByNSWindowOffset(QWindow *window)

This is a convenience function that can be used directly instead of resolving the function pointer. window will be relayed to the function retrieved by QGuiApplication

### `[static]` const QByteArray QCocoaWindowFunctions::bottomLeftClippedByNSWindowOffsetIdentifier()

This function returnes the bytearray that can be used to query QGuiApplication::platformFunction to retrieve the BottomLeftClippedByNSWindowOffset function.